Subject: [Ipsec] Clarification about Configuration Attributes in IKEv2

From: "pekka huikenen" <[email-masked]>
Date: Thu, 01 Jun 2006 11:44:36 +0300

Hi all

How are multiple values of an attribute encoded in the configuration 
payload?  For example, DNS is multi-valued, and we may have two DNS server.

Do I encode just one attribute structure with length 8 and the value field 
contains two DNS addresses, or do I encode two separate attribute 
structures, each with length 4 and just one DNS server address?

Thanks.

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today it's FREE! 
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec

---

From: <[email-masked]>
Date: Thu, 1 Jun 2006 18:20:22 +0300

Two separate INTERNAL_IP4_DNS attributes, each with length 4. 

Best regards,
Pasi

> -----Original Message-----
> From: ext pekka huikenen [mailto:[email-masked]] 
> Sent: 01 June, 2006 11:45
> To: [email-masked]
> Subject: [Ipsec] Clarification about Configuration Attributes in IKEv2
> 
> Hi all
> 
> Do I encode just one attribute structure with length 8 and 
> the value field contains two DNS addresses, or do I encode two 
> separate attribute structures, each with length 4 and just one 
> DNS server address?
> 
> Thanks.